#-----------------------------------------------------------------------------
#
#   PyWeek 10 - Level setup
#
#-----------------------------------------------------------------------------

from texture import Texture
from sprite import Furniture
from oscillator import Oscillator

potplant1 = Texture("potplant1.png")
dining_table = Texture("dining_table.png")
bed_end = Texture("bed_end.png")
double_bed_end = Texture("double_bed_end.png", border = 2)
bedside_drawers = Texture("bedside_drawers.png")
dresser = Texture("dresser.png")
wardrobe = Texture("wardrobe.png")
toilet = Texture("toilet.png")
poker_machine = Texture("poker_machine.png")
pool_table = Texture("pool_table.png", border = 2)
lift_out_sign = Texture("lift_out_sign.png")
microwave_dish = Texture("microwave_dish.png", border = 2)
# = Texture(".png")

player_start_position = (352, 32)
#player_start_position = (448, 512)

def furniture(name, pos, scale = 1.0):
	s.add_sprite(Furniture(name, scale), pos)

def add_oscillator(state):
	osc = Oscillator()
	state.add_sprite(osc, (160, 1632))
	state.oscillator = osc

def add_furniture(state):
	global s
	s = state

	# Floor 1
	furniture(potplant1, (410, 32), 0.75)
	
	# Floor 2
	furniture(dining_table, (224, 192))
	furniture(dining_table, (320, 192))
	furniture(dining_table, (400, 192))
	
	# Floor 3
	furniture(poker_machine, (88, 352))
	furniture(pool_table, (192, 352))
	
	# Floor 4
	furniture(bed_end, (104, 512))
	furniture(bedside_drawers, (160, 512))
	
	# Floor 5
	furniture(bedside_drawers, (80, 672))
	furniture(bed_end, (136, 672))
	
	# Floor 6
	furniture(bedside_drawers, (208, 832))
	furniture(bed_end, (272, 832))
	furniture(bed_end, (392, 832))
	furniture(bedside_drawers, (448, 832))
	
	# Floor 7
	furniture(lift_out_sign, (264, 992))
	
	# Floor 8
	furniture(dresser, (256, 1152))
	furniture(double_bed_end, (336, 1152))
	furniture(wardrobe, (416, 1152))
	furniture(toilet, (456, 1152))
	
	# Floor 9
	
	# Floor 10
	
	# Floor 11
	add_oscillator(s)
	furniture(microwave_dish, (256, 1824))
